## MLton 20241230+git20251029+dfsg-5

# MLLPTLibrary

The ML-LPT Library is a support library for the MLULex scanner generator and the MLAntlr parser generator. The ML-LPT Library is distributed with SML/NJ.

As of 20250523, MLton includes the ML-LPT Library synchronized with SML/NJ version 110.99.8.

## Usage

- You can import the ML-LPT Library into an MLB file with:

  MLB file | Description
  --- | ---
  `$(SML_LIB)/mllpt-lib/mllpt-lib.mlb` |

- If you are porting a project from SML/NJ’s CompilationManager to MLton’s ML Basis system using `cm2mlb`, note that the following map is included by default:

      # MLLPT Library
      $ml-lpt-lib.cm                          $(SML_LIB)/mllpt-lib
      $ml-lpt-lib.cm/ml-lpt-lib.cm            $(SML_LIB)/mllpt-lib/mllpt-lib.mlb

  This will automatically convert a `$/mllpt-lib.cm` import in an input `.cm` file into a `$(SML_LIB)/mllpt-lib/mllpt-lib.mlb` import in the output `.mlb` file.

## Details

## Patch

- `ml-lpt.patch`